#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  Jxs
} from "../../../../chunk-KGXTM3D3.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/aws/dist/files/$tsconfig.json.js
async function getTsConfig(props) {
  const tsConfig = await Jxs(props);
  tsConfig.compilerOptions.types = [
    ...tsConfig.compilerOptions.types ?? [],
    "@types/node",
    "vitest/globals",
    "@types/which"
  ];
  tsConfig.exclude ??= [];
  tsConfig.exclude.push("cdk.out");
  return tsConfig;
}
export {
  getTsConfig as default
};
